Skip to main content
POST
/
api
/
v4
/
mining
/
miners
/
info
Miner Info
curl --request POST \
  --url https://whitebit.com/api/v4/mining/miners/info \
  --header 'Content-Type: application/json' \
  --header 'X-TXC-APIKEY: <api-key>' \
  --header 'X-TXC-PAYLOAD: <api-key>' \
  --header 'X-TXC-SIGNATURE: <api-key>' \
  --data '
{
  "account": "my_miner_01"
}
'
{
  "data": {
    "fee": "2.5",
    "workers": {
      "online": 1,
      "offline": 2,
      "low": 3
    },
    "stratum": [
      {
        "url": "stratum+tcp://pool.whitebit.com:3333",
        "workersCount": 5
      },
      {
        "url": "stratum+tcp://pool.whitebit.com:3334",
        "workersCount": 3
      }
    ]
  }
}

Authorizations

X-TXC-APIKEY
string
header
required

The public WhiteBIT API key.

X-TXC-PAYLOAD
string
header
required

Base64-encoded JSON request body.

X-TXC-SIGNATURE
string
header
required

HMAC-SHA512 signature of the payload, hex-encoded. Computed as hex(HMAC-SHA512(payload, api_secret)).

Body

application/json
account
string
required

Mining pool account name

Maximum string length: 255
Example:

"my_miner_01"

Response

Successful response

data
object